//
// Asura_Platform_Mem.h
//
// Created by KOR - 16 July 2007
//
// Copyright (C) 2007 Rebellion, All Rights Reserved.
//

#ifdef ASURA_USE_PRAGMA_ONCE
#pragma once
#endif

#ifndef __ASURA_PLATFORM_MEM_H__
#define __ASURA_PLATFORM_MEM_H__

#include <string.h>

// platform replacement for memcmp
int Asura_Mem::Platform_Compare(const void* pMem1, const void* pMem2, size_t uBytes)
{
	return memcmp(pMem1, pMem2, uBytes);
}
    
// platform replacement for memcpy
void* Asura_Mem::Platform_Copy(void* pDest, const void* pSrc, size_t uBytes)
{
	return memcpy(pDest, pSrc, uBytes);
}

// platform replacement for memset
void* Asura_Mem::Platform_Set(void* pMem, int iChar, size_t uCount)
{
	return memset(pMem, iChar, uCount);
}

#endif//__ASURA_PLATFORM_MEM_H__